# API Reference <a name="API Reference"></a>

## Constructs <a name="Constructs"></a>

### Cluster <a name="@pahud/cdktf-aws-ecs.Cluster"></a>

#### Initializers <a name="@pahud/cdktf-aws-ecs.Cluster.Initializer"></a>

```typescript
import { Cluster } from '@pahud/cdktf-aws-ecs'

new Cluster(scope: Construct, id: string, props?: ClusterProps)
```

##### `scope`<sup>Required</sup> <a name="@pahud/cdktf-aws-ecs.Cluster.parameter.scope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

---

##### `id`<sup>Required</sup> <a name="@pahud/cdktf-aws-ecs.Cluster.parameter.id"></a>

- *Type:* `string`

---

##### `props`<sup>Optional</sup> <a name="@pahud/cdktf-aws-ecs.Cluster.parameter.props"></a>

- *Type:* [`@pahud/cdktf-aws-ecs.ClusterProps`](#@pahud/cdktf-aws-ecs.ClusterProps)

---

#### Methods <a name="Methods"></a>

##### `addAsgCapacity` <a name="@pahud/cdktf-aws-ecs.Cluster.addAsgCapacity"></a>

```typescript
public addAsgCapacity(id: string, options: AsgCapacityOptions)
```

###### `id`<sup>Required</sup> <a name="@pahud/cdktf-aws-ecs.Cluster.parameter.id"></a>

- *Type:* `string`

---

###### `options`<sup>Required</sup> <a name="@pahud/cdktf-aws-ecs.Cluster.parameter.options"></a>

- *Type:* [`@pahud/cdktf-aws-ecs.AsgCapacityOptions`](#@pahud/cdktf-aws-ecs.AsgCapacityOptions)

---


#### Properties <a name="Properties"></a>

##### `clusterName`<sup>Required</sup> <a name="@pahud/cdktf-aws-ecs.Cluster.property.clusterName"></a>

- *Type:* `string`

---

##### `region`<sup>Required</sup> <a name="@pahud/cdktf-aws-ecs.Cluster.property.region"></a>

- *Type:* `string`

---

##### `vpc`<sup>Optional</sup> <a name="@pahud/cdktf-aws-ecs.Cluster.property.vpc"></a>

- *Type:* `any`

---

##### `vpcId`<sup>Optional</sup> <a name="@pahud/cdktf-aws-ecs.Cluster.property.vpcId"></a>

- *Type:* `string`

---


## Structs <a name="Structs"></a>

### AsgCapacityOptions <a name="@pahud/cdktf-aws-ecs.AsgCapacityOptions"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { AsgCapacityOptions } from '@pahud/cdktf-aws-ecs'

const asgCapacityOptions: AsgCapacityOptions = { ... }
```

##### `desiredCapacity`<sup>Optional</sup> <a name="@pahud/cdktf-aws-ecs.AsgCapacityOptions.property.desiredCapacity"></a>

- *Type:* `number`

---

##### `maxCapacity`<sup>Optional</sup> <a name="@pahud/cdktf-aws-ecs.AsgCapacityOptions.property.maxCapacity"></a>

- *Type:* `number`

---

##### `minCapacity`<sup>Optional</sup> <a name="@pahud/cdktf-aws-ecs.AsgCapacityOptions.property.minCapacity"></a>

- *Type:* `number`

---

## Classes <a name="Classes"></a>

### ClusterProps <a name="@pahud/cdktf-aws-ecs.ClusterProps"></a>

#### Initializers <a name="@pahud/cdktf-aws-ecs.ClusterProps.Initializer"></a>

```typescript
import { ClusterProps } from '@pahud/cdktf-aws-ecs'

new ClusterProps()
```



#### Properties <a name="Properties"></a>

##### `instanceType`<sup>Optional</sup> <a name="@pahud/cdktf-aws-ecs.ClusterProps.property.instanceType"></a>

- *Type:* `string`
- *Default:* t3.large

instance type for the default capacity.

---

##### `name`<sup>Optional</sup> <a name="@pahud/cdktf-aws-ecs.ClusterProps.property.name"></a>

- *Type:* `string`

---

##### `region`<sup>Optional</sup> <a name="@pahud/cdktf-aws-ecs.ClusterProps.property.region"></a>

- *Type:* `string`

The AWS region to deploy.

---

##### `vpcSubnets`<sup>Optional</sup> <a name="@pahud/cdktf-aws-ecs.ClusterProps.property.vpcSubnets"></a>

- *Type:* `string`[]
- *Default:* private subnets of a new VPC.

VPC subnet IDs for the container instances.

---



